<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Nepomuk</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Nepomuk Namespace Reference</h1>
<code>from PyKDE4.nepomuk.Nepomuk import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.NepomukOntologyLoader.html">NepomukOntologyLoader</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Nepomuk.Service.html">Service</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Nepomuk.Class.html">Class</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_O">&nbsp;&nbsp;O&nbsp;&nbsp;</a></td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_D">&nbsp;&nbsp;D&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.Ontology.html">Ontology</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Nepomuk.Tag.html">Tag</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Nepomuk.DesktopOntologyLoader.html">DesktopOntologyLoader</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.TagCloud.html">TagCloud</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.Property.html">Property</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Nepomuk.TagWidget.html">TagWidget</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Nepomuk.Entity.html">Entity</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.Thing.html">Thing</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="Nepomuk.Resource.html">Resource</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_V">&nbsp;&nbsp;V&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Nepomuk.Literal.html">Literal</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Nepomuk.ResourceManager.html">ResourceManager</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Nepomuk.Variant.html">Variant</a>&nbsp;(<a class="el" href="Nepomuk.html">Nepomuk</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj188200012">ErrorCode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoError, CommunicationError, InvalidType, UnknownError&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj159591212">RDFLiteralToValue</a> (Soprano.Node node)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197077676">defaultGraph</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188202764">errorString</a> (Nepomuk.ErrorCode code)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186482284">extractNamespace</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197018668">naoNamespace</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197019340">nrlNamespace</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197019148">rdfNamepace</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197019052">rdfsNamespace</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184858828">setDefaultRepository</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> s)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195355148">typePredicate</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.Node&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195357452">valueToRDFNode</a> (<a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[Soprano::Node]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197075724">valuesToRDFNodes</a> (<a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a> a0)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj188200012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ErrorCode</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoError</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>CommunicationError</em>&nbsp;</td><td><tr><td valign="top"><em>InvalidType</em>&nbsp;</td><td><tr><td valign="top"><em>UnknownError</em>&nbsp;</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj159591212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a> RDFLiteralToValue</td>
<td>(</td>
<td class="paramtype">Soprano.Node&nbsp;</td>
<td class="paramname"><em>node</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Used internally by Resource.
Converts a literal value from the RDF store into a Variant.
</p></div></div><a class="anchor" name="obj197077676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultGraph</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Used internally by Resource.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The URI of the RDF graph meta data is stored in.
</dd></dl> </p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Nepomuk.ResourceManager.mainModel()
</dd></dl>
</p></div></div><a class="anchor" name="obj188202764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> errorString</td>
<td>(</td>
<td class="paramtype">Nepomuk.ErrorCode&nbsp;</td>
<td class="paramname"><em>code</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> A human-readble string.
</dd></dl>
</p></div></div><a class="anchor" name="obj186482284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a> extractNamespace</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197018668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> naoNamespace</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Soprano.Vocabulary.NAO.naoNamepace()
</dd></dl>
</p></div></div><a class="anchor" name="obj197019340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> nrlNamespace</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Soprano.Vocabulary.NRL.nrlNamepace()
</dd></dl>
</p></div></div><a class="anchor" name="obj197019148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> rdfNamepace</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Soprano.Vocabulary.RDF.rdfNamepace()
</dd></dl>
</p></div></div><a class="anchor" name="obj197019052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> rdfsNamespace</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Soprano.Vocabulary.RDFS.rdfsNamepace()
</dd></dl>
</p></div></div><a class="anchor" name="obj184858828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDefaultRepository</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>s</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Has no effect anymore.
</dd></dl>
</p></div></div><a class="anchor" name="obj195355148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> typePredicate</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Used internally by Resource.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The URI of the predicate used to state the type of a resource.
</dd></dl> </p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> Use Soprano.Vocabulary.RDF.type()
</dd></dl>
</p></div></div><a class="anchor" name="obj195357452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.Node valueToRDFNode</td>
<td>(</td>
<td class="paramtype"><a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197075724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[Soprano::Node] valuesToRDFNodes</td>
<td>(</td>
<td class="paramtype"><a href="../nepomuk/Nepomuk.Variant.html">Nepomuk.Variant</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Used internally by Resource.
Converts a Variant into a literal value to be used in the RDF store.
Uses the language set in the current KDE session.
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
